summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Rodrigo Gimenez <rodrigog83[at]gmail[dot]com>2017-03-13 00:45:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-15 17:38:14 +0700
commita2f203864634009b6b21dd13f4568777ce56adbd (patch)
tree881e5deb676f506f139b5acc5c526d52c0ef984b /development
parent3ae87dd0ba2941e92995a151d1ddbd7310b1ca1f (diff)
downloadslackbuilds-a2f203864634009b6b21dd13f4568777ce56adbd.tar.gz
slackbuilds-a2f203864634009b6b21dd13f4568777ce56adbd.tar.xz
development/nwjs: Added (an app runtime).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/nwjs/README5
-rw-r--r--development/nwjs/nwjs.SlackBuild79
-rw-r--r--development/nwjs/nwjs.info10
-rw-r--r--development/nwjs/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/development/nwjs/README b/development/nwjs/README
new file mode 100644
index 0000000000..890e04aeba
--- /dev/null
+++ b/development/nwjs/README
@@ -0,0 +1,5 @@
+NW.js (previously known as node-webkit) lets you call all Node.js
+modules directly from DOM and enables a new way of writing applications
+with all Web technologies.
+
+nodejs is an optional dependency (for npm package support).
diff --git a/development/nwjs/nwjs.SlackBuild b/development/nwjs/nwjs.SlackBuild
new file mode 100644
index 0000000000..d50dfe7bfb
--- /dev/null
+++ b/development/nwjs/nwjs.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for nwjs
+
+# Copyright 2017 Rodrigo Gimenez <rodrigog83[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=nwjs
+VERSION=${VERSION:-0.21.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SUFFIX="linux-ia32"
+elif [ "$ARCH" = "x86_64" ]; then
+ SUFFIX="linux-x64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION-$SUFFIX.tar.gz
+cd $PRGNAM-v$VERSION-$SUFFIX
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -Ddm755 $PKG/opt/$PRGNAM
+install -Ddm755 $PKG/usr/bin
+
+chmod +x nw lib lib/lib{ffmpeg,node,nw}.so locales
+cp -r * $PKG/opt/$PRGNAM
+ln -s /opt/$PRGNAM/nw $PKG/usr/bin/nw
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/nwjs/nwjs.info b/development/nwjs/nwjs.info
new file mode 100644
index 0000000000..32dcbedaf5
--- /dev/null
+++ b/development/nwjs/nwjs.info
@@ -0,0 +1,10 @@
+PRGNAM="nwjs"
+VERSION="0.21.1"
+HOMEPAGE="https://nwjs.io/"
+DOWNLOAD="https://dl.nwjs.io/v0.21.1/nwjs-v0.21.1-linux-ia32.tar.gz"
+MD5SUM="2674c2270c3874daefc5c8fb4d58853b"
+DOWNLOAD_x86_64="https://dl.nwjs.io/v0.21.1/nwjs-v0.21.1-linux-x64.tar.gz"
+MD5SUM_x86_64="1c733125d240ae1061eb354d193b67e8"
+REQUIRES=""
+MAINTAINER="Rodrigo Gimenez"
+EMAIL="rodrigog83[at]gmail[dot]com"
diff --git a/development/nwjs/slack-desc b/development/nwjs/slack-desc
new file mode 100644
index 0000000000..e6632f2268
--- /dev/null
+++ b/development/nwjs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nwjs: nwjs (an app runtime based on Chromium and node.js)
+nwjs:
+nwjs: NW.js lets you call all Node.js modules directly from DOM and enables
+nwjs: a new way of writing applications with all Web technologies.
+nwjs: It was previously known as “node-webkit” project.
+nwjs:
+nwjs:
+nwjs:
+nwjs:
+nwjs:
+nwjs: